maria-developers team mailing list archive
-
maria-developers team
-
Mailing list archive
-
Message #01170
Rev 2770: Added win/configure-mariadb.sh - the standard way to configure on Windows. in file:///home/psergey/bzr-new/maria-5.1-build1/
At file:///home/psergey/bzr-new/maria-5.1-build1/
------------------------------------------------------------
revno: 2770
revision-id: psergey@xxxxxxxxxxxx-20091008190412-78y3f1r7bdnger9r
parent: knielsen@xxxxxxxxxxxxxxx-20091008094331-wgvbuy10n25l7u14
committer: Sergey Petrunya <psergey@xxxxxxxxxxxx>
branch nick: maria-5.1-build1
timestamp: Thu 2009-10-08 23:04:12 +0400
message:
Added win/configure-mariadb.sh - the standard way to configure on Windows.
=== added file 'win/configure-mariadb.sh'
--- a/win/configure-mariadb.sh 1970-01-01 00:00:00 +0000
+++ b/win/configure-mariadb.sh 2009-10-08 19:04:12 +0000
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+#
+# This script is the "standard" way to configure MariaDB on Windows. To be
+# used by buildbot slaves and release build script.
+#
+
+set -e
+
+cscript win/configure.js \
+ WITH_ARCHIVE_STORAGE_ENGINE \
+ WITH_BLACKHOLE_STORAGE_ENGINE \
+ WITH_CSV_STORAGE_ENGINE \
+ WITH_EXAMPLE_STORAGE_ENGINE \
+ WITH_FEDERATED_STORAGE_ENGINE \
+ WITH_MERGE_STORAGE_ENGINE \
+ WITH_PARTITION_STORAGE_ENGINE \
+ WITH_MARIA_STORAGE_ENGINE \
+ WITH_PBXT_STORAGE_ENGINE \
+ WITH_XTRADB_STORAGE_ENGINE \
+ WITH_EMBEDDED_SERVER
+
+